Bug 57926 - Apparent sound driver error problem on booting
Apparent sound driver error problem on booting
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-02 03:26 EST by Drew Poulin
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 20:06:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from dmesg (10.45 KB, text/plain)
2002-01-02 03:33 EST, Drew Poulin
no flags Details
AC97 unconditional reset (837 bytes, patch)
2002-01-17 19:01 EST, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Drew Poulin 2002-01-02 03:26:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
When KDE (or Gnome) starts, the following error is displayed:
"Error while initializing the sound driver:  
device /dev/dsp can't be opened (no such device)
The sound server will continue, using the null output device."

Subsequently no audio.  Audio was working initially (with CD player and
Realplayer 8).  This is a fresh installation of 7.2.  This error appears in
hundreds of hits on the Web, but no solutions found.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot RH 7.2
2.Start KDE (or Gnome)
3.
	

Actual Results:  The following error is displayed:
"Error while initializing the sound driver:  
device /dev/dsp can't be opened (no such device)
The sound server will continue, using the null output device."


Expected Results:  I shouldn't get the above message; audio should work.  

Additional info:
Comment 1 Drew Poulin 2002-01-02 03:33:43 EST
Created attachment 41591 [details]
output from dmesg
Comment 2 Pete Zaitcev 2002-01-17 19:01:27 EST
Created attachment 42754 [details]
AC97 unconditional reset
Comment 3 Pete Zaitcev 2002-01-17 19:03:51 EST
I saw similar report before, but could not get good testing.

Two questions:

1. What was the last kernel that worked (/proc/version)?
If you do not remember that, what distribution and release?

2. Is it possible to test a Rawhide kernel on that machine?
Comment 4 Alan Cox 2003-06-07 20:06:34 EDT
No reply in a year closing

Note You need to log in before you can comment on or make changes to this bug.